--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Gives all the options set on this type
- !ruby/struct:SM::Flow::P 
  body: "@return [Hash] with all options and their values set on this type"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: DataMapper::Type::options
is_singleton: true
name: options
params: ()
visibility: public
